#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DESTDIR=$(CURDIR)/debian/tmp
export PY3_DEF=$(shell py3versions -d)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_autoreconf:

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs
	rm -rf .pybuild
	rm -rf .pytest_cache
	rm -f _ais.*.so

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install
	PYTHONPATH=$(DESTDIR)/usr/lib/$(PY3_DEF)/dist-packages help2man \
	  --no-info \
	  --name="Library for decoding maritime AIS messages" \
	  --source="Debian" \
	  --version-string=$(DEB_VERSION_UPSTREAM) \
	  $(DESTDIR)/usr/bin/aisdecode > debian/aisdecode.1
	PYTHONPATH=$(DESTDIR)/usr/lib/$(PY3_DEF)/dist-packages help2man \
	  --no-info \
	  --name="Library for decoding maritime AIS messages" \
	  --source="Debian" \
	  --version-string=$(DEB_VERSION_UPSTREAM) \
	  "$(DESTDIR)/usr/bin/libais_stats --help" > debian/libais_stats.1
